Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 820905 - profiles: removal of uclibc-ng
Summary: profiles: removal of uclibc-ng
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Profiles (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: uClibc project
URL: https://www.gentoo.org/support/news-i...
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 622458 CVE-2021-43523
  Show dependency tree
 
Reported: 2021-10-31 04:49 UTC by Sam James
Modified: 2022-01-02 10:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-10-31 04:49:46 UTC
Already in motion, see https://www.gentoo.org/support/news-items/2021-08-18-uclibc-ng-retirement.html.

We didn't seem to have a bug for it though so filing this now.
Comment 1 Larry the Git Cow gentoo-dev 2021-10-31 04:53:02 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3adfba31ee2553ef5858a6d0608db307f867790b

commit 3adfba31ee2553ef5858a6d0608db307f867790b
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-10-31 04:48:53 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-10-31 04:52:54 +0000

    profiles/default/linux/uclibc: mark deprecated
    
    Note that we already have the news item (2021-08-18-uclibc-ng-retirement).
    
    Bug: https://bugs.gentoo.org/820905
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/default/linux/uclibc/deprecated | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2021-11-19 04:50:04 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f5d402366ced5d0e9753d051f303446ffa9ab10

commit 1f5d402366ced5d0e9753d051f303446ffa9ab10
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2021-11-19 04:47:42 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2021-11-19 04:47:42 +0000

    profiles/hardened/linux/uclibc: deprecate
    
    Bug: https://bugs.gentoo.org/820905
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/hardened/linux/uclibc/deprecated | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15f1f5420b4785ed1b48e2871f2cbedabf5ac359

commit 15f1f5420b4785ed1b48e2871f2cbedabf5ac359
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2021-11-19 04:47:35 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2021-11-19 04:47:35 +0000

    profiles/features/uclibc: deprecate
    
    Bug: https://bugs.gentoo.org/820905
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/features/uclibc/deprecated | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17a4755b29aeff0f3f295adb8ed531a5e43291b4

commit 17a4755b29aeff0f3f295adb8ed531a5e43291b4
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2021-11-19 04:47:27 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2021-11-19 04:47:27 +0000

    profiles/default/linux/x86/17.0/uclibc: deprecate
    
    Bug: https://bugs.gentoo.org/820905
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/default/linux/x86/17.0/uclibc/deprecated | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a6ac5d20a85b2bab1b171d444a5d93a2c89769a

commit 0a6ac5d20a85b2bab1b171d444a5d93a2c89769a
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2021-11-19 04:47:19 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2021-11-19 04:47:19 +0000

    profiles/default/linux/powerpc/ppc32/17.0/uclibc: deprecate
    
    Bug: https://bugs.gentoo.org/820905
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 .../default/linux/powerpc/ppc32/17.0/uclibc/deprecated  | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1df852dcbea12f3d8124cddaf06ddc987ee5255c

commit 1df852dcbea12f3d8124cddaf06ddc987ee5255c
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2021-11-19 04:47:11 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2021-11-19 04:47:11 +0000

    profiles/default/linux/arm/17.0/uclibc: deprecate
    
    Bug: https://bugs.gentoo.org/820905
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/default/linux/arm/17.0/uclibc/deprecated | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a58d50809aceae6a39e6e3d87d35ed3960dcfbd7

commit a58d50809aceae6a39e6e3d87d35ed3960dcfbd7
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2021-11-19 04:46:58 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2021-11-19 04:46:58 +0000

    profiles/default/linux/amd64/17.0/uclibc: deprecate
    
    Bug: https://bugs.gentoo.org/820905
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/default/linux/amd64/17.0/uclibc/deprecated | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2021-11-21 13:28:53 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c08f65d92ce82ec718051672147333d9a037487d

commit c08f65d92ce82ec718051672147333d9a037487d
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-11-21 13:28:06 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-11-21 13:28:47 +0000

    profiles/default/linux: add missing uclibc deprecation files
    
    'deprecated' isn't inherited so let's put it in every remaining uclibc
    profile that doesn't already have such a file to ensure everybody is notified.
    
    Noticed when trying 'default/linux/arm/17.0/uclibc/armv7a/hardened/deprecated'
    out of curiosity to verify it when setting up a new box.
    
    Bug: https://bugs.gentoo.org/820905
    Signed-off-by: Sam James <sam@gentoo.org>

 .../default/linux/amd64/17.0/uclibc/hardened/deprecated | 17 +++++++++++++++++
 .../default/linux/arm/17.0/uclibc/armv6j/deprecated     | 17 +++++++++++++++++
 .../linux/arm/17.0/uclibc/armv6j/hardened/deprecated    | 17 +++++++++++++++++
 .../default/linux/arm/17.0/uclibc/armv7a/deprecated     | 17 +++++++++++++++++
 .../linux/arm/17.0/uclibc/armv7a/hardened/deprecated    | 17 +++++++++++++++++
 .../linux/powerpc/ppc32/17.0/uclibc/hardened/deprecated | 17 +++++++++++++++++
 profiles/default/linux/uclibc/mips/deprecated           | 17 +++++++++++++++++
 profiles/default/linux/uclibc/mips/mipsel/deprecated    | 17 +++++++++++++++++
 .../default/linux/x86/17.0/uclibc/hardened/deprecated   | 17 +++++++++++++++++
 9 files changed, 153 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2022-01-02 10:02:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1416c5b0e64e173eeab9e4a9c7e1f051590fccbd

commit 1416c5b0e64e173eeab9e4a9c7e1f051590fccbd
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2022-01-02 10:01:48 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2022-01-02 10:01:48 +0000

    sys-libs/uclibc-ng: remove uclibc
    
    Closes: https://github.com/gentoo/gentoo/pull/23608
    Closes: https://bugs.gentoo.org/820905
    Signed-off-by: David Seifert <soap@gentoo.org>

 sys-libs/uclibc-ng/Manifest                        |   4 -
 sys-libs/uclibc-ng/files/uclibc-compat-r1.patch    |  15 -
 .../files/uclibc-ng-1.0.30-fix-ld.so.cache.patch   |  48 ---
 sys-libs/uclibc-ng/metadata.xml                    |  21 --
 sys-libs/uclibc-ng/uclibc-ng-1.0.30-r1.ebuild      | 403 ---------------------
 sys-libs/uclibc-ng/uclibc-ng-1.0.32.ebuild         | 402 --------------------
 sys-libs/uclibc-ng/uclibc-ng-1.0.33.ebuild         | 402 --------------------
 sys-libs/uclibc-ng/uclibc-ng-1.0.35.ebuild         | 402 --------------------
 sys-libs/uclibc-ng/uclibc-ng-9999.ebuild           | 402 --------------------
 9 files changed, 2099 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d33143e5b807af00d29ec59d9512ac05ab0e131

commit 4d33143e5b807af00d29ec59d9512ac05ab0e131
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2022-01-02 10:01:47 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2022-01-02 10:01:47 +0000

    toolchain.eclass: remove uclibc
    
    Closes: https://bugs.gentoo.org/820905
    Signed-off-by: David Seifert <soap@gentoo.org>

 eclass/toolchain.eclass | 40 +++-------------------------------------
 1 file changed, 3 insertions(+), 37 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f097dc38fb4229a34dc2a36b156dbaa697148fc5

commit f097dc38fb4229a34dc2a36b156dbaa697148fc5
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2022-01-02 10:01:45 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2022-01-02 10:01:45 +0000

    profiles: remove uclibc
    
    Closes: https://bugs.gentoo.org/820905
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/base/make.defaults                        |  2 +-
 profiles/base/use.mask                             |  2 -
 .../default/linux/amd64/17.0/uclibc/deprecated     | 17 ------
 profiles/default/linux/amd64/17.0/uclibc/eapi      |  1 -
 .../linux/amd64/17.0/uclibc/hardened/deprecated    | 17 ------
 .../default/linux/amd64/17.0/uclibc/hardened/eapi  |  1 -
 .../linux/amd64/17.0/uclibc/hardened/parent        |  2 -
 .../default/linux/amd64/17.0/uclibc/make.defaults  | 10 ----
 profiles/default/linux/amd64/17.0/uclibc/parent    |  3 -
 .../linux/arm/17.0/uclibc/armv6j/deprecated        | 17 ------
 profiles/default/linux/arm/17.0/uclibc/armv6j/eapi |  1 -
 .../arm/17.0/uclibc/armv6j/hardened/deprecated     | 17 ------
 .../linux/arm/17.0/uclibc/armv6j/hardened/eapi     |  1 -
 .../linux/arm/17.0/uclibc/armv6j/hardened/parent   |  2 -
 .../linux/arm/17.0/uclibc/armv6j/make.defaults     | 10 ----
 .../default/linux/arm/17.0/uclibc/armv6j/parent    |  1 -
 .../linux/arm/17.0/uclibc/armv7a/deprecated        | 17 ------
 profiles/default/linux/arm/17.0/uclibc/armv7a/eapi |  1 -
 .../arm/17.0/uclibc/armv7a/hardened/deprecated     | 17 ------
 .../linux/arm/17.0/uclibc/armv7a/hardened/eapi     |  1 -
 .../linux/arm/17.0/uclibc/armv7a/hardened/parent   |  2 -
 .../linux/arm/17.0/uclibc/armv7a/make.defaults     | 10 ----
 .../default/linux/arm/17.0/uclibc/armv7a/parent    |  1 -
 profiles/default/linux/arm/17.0/uclibc/deprecated  | 17 ------
 profiles/default/linux/arm/17.0/uclibc/eapi        |  1 -
 profiles/default/linux/arm/17.0/uclibc/parent      |  3 -
 profiles/default/linux/musl/package.mask           |  5 +-
 profiles/default/linux/musl/use.mask               |  3 +-
 .../linux/powerpc/ppc32/17.0/uclibc/deprecated     | 17 ------
 .../default/linux/powerpc/ppc32/17.0/uclibc/eapi   |  1 -
 .../powerpc/ppc32/17.0/uclibc/hardened/deprecated  | 17 ------
 .../linux/powerpc/ppc32/17.0/uclibc/hardened/eapi  |  1 -
 .../powerpc/ppc32/17.0/uclibc/hardened/parent      |  2 -
 .../linux/powerpc/ppc32/17.0/uclibc/make.defaults  | 10 ----
 .../linux/powerpc/ppc32/17.0/uclibc/package.use    |  3 -
 .../powerpc/ppc32/17.0/uclibc/package.use.mask     |  7 ---
 .../default/linux/powerpc/ppc32/17.0/uclibc/parent |  3 -
 profiles/default/linux/uclibc/deprecated           | 17 ------
 profiles/default/linux/uclibc/eapi                 |  1 -
 profiles/default/linux/uclibc/make.defaults        | 12 ----
 profiles/default/linux/uclibc/mips/deprecated      | 17 ------
 profiles/default/linux/uclibc/mips/eapi            |  1 -
 profiles/default/linux/uclibc/mips/make.defaults   | 20 -------
 .../default/linux/uclibc/mips/mipsel/deprecated    | 17 ------
 profiles/default/linux/uclibc/mips/mipsel/eapi     |  1 -
 .../default/linux/uclibc/mips/mipsel/make.defaults |  5 --
 profiles/default/linux/uclibc/mips/mipsel/parent   |  1 -
 profiles/default/linux/uclibc/mips/package.mask    | 10 ----
 .../default/linux/uclibc/mips/package.use.force    |  8 ---
 .../default/linux/uclibc/mips/package.use.mask     | 14 -----
 profiles/default/linux/uclibc/mips/parent          |  1 -
 profiles/default/linux/uclibc/mips/use.force       |  6 --
 profiles/default/linux/uclibc/mips/use.mask        |  6 --
 profiles/default/linux/uclibc/package.mask         | 68 ----------------------
 profiles/default/linux/uclibc/package.use.mask     | 20 -------
 profiles/default/linux/uclibc/packages             |  7 ---
 profiles/default/linux/uclibc/packages.build       |  8 ---
 profiles/default/linux/uclibc/parent               |  3 -
 profiles/default/linux/uclibc/use.force            |  5 --
 profiles/default/linux/uclibc/use.mask             | 15 -----
 profiles/default/linux/x86/17.0/uclibc/deprecated  | 17 ------
 profiles/default/linux/x86/17.0/uclibc/eapi        |  1 -
 .../linux/x86/17.0/uclibc/hardened/deprecated      | 17 ------
 .../default/linux/x86/17.0/uclibc/hardened/eapi    |  1 -
 .../default/linux/x86/17.0/uclibc/hardened/parent  |  2 -
 .../default/linux/x86/17.0/uclibc/make.defaults    | 10 ----
 profiles/default/linux/x86/17.0/uclibc/parent      |  3 -
 profiles/desc/elibc.desc                           |  1 -
 profiles/embedded/make.defaults                    |  2 +-
 profiles/features/musl/package.mask                |  3 -
 profiles/features/musl/use.mask                    |  3 +-
 profiles/features/uclibc/deprecated                | 17 ------
 profiles/features/uclibc/eapi                      |  1 -
 profiles/features/uclibc/make.defaults             | 13 -----
 profiles/features/uclibc/package.mask              | 27 ---------
 profiles/features/uclibc/package.unmask            |  7 ---
 profiles/features/uclibc/package.use               |  7 ---
 profiles/features/uclibc/package.use.force         |  6 --
 profiles/features/uclibc/package.use.mask          | 31 ----------
 profiles/features/uclibc/packages                  |  7 ---
 profiles/features/uclibc/packages.build            |  8 ---
 profiles/features/uclibc/use.force                 |  6 --
 profiles/features/uclibc/use.mask                  | 17 ------
 profiles/hardened/linux/musl/use.mask              |  3 +-
 profiles/hardened/linux/uclibc/deprecated          | 17 ------
 profiles/hardened/linux/uclibc/eapi                |  1 -
 profiles/hardened/linux/uclibc/make.defaults       |  5 --
 profiles/hardened/linux/uclibc/mips/eapi           |  1 -
 profiles/hardened/linux/uclibc/mips/mipsel/eapi    |  1 -
 profiles/hardened/linux/uclibc/mips/mipsel/parent  |  2 -
 profiles/hardened/linux/uclibc/mips/parent         |  2 -
 profiles/hardened/linux/uclibc/package.use.mask    |  6 --
 profiles/hardened/linux/uclibc/use.force           |  8 ---
 profiles/hardened/linux/uclibc/use.mask            | 17 ------
 profiles/info_pkgs                                 |  3 +-
 profiles/prefix/sunos/use.mask                     |  3 +-
 profiles/prefix/windows/winnt/use.mask             |  5 +-
 profiles/profiles.desc                             | 19 +-----
 profiles/use.desc                                  |  3 +-
 99 files changed, 12 insertions(+), 797 deletions(-)